CREATE TABLE gl_coa_map_rollup_rules_int (
    REQUEST_ID                      NUMBER(18, 0) ,
    IMPORT_ACTION_CODE              VARCHAR2(120) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    STATUS_CODE                     VARCHAR2(120) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    COA_MAPPING_NAME                VARCHAR2(132)     NOT NULL,
    TO_SEGMENT_CODE                 VARCHAR2(120)     NOT NULL,
    TO_SEGMENT_VALUE                VARCHAR2(100)     NOT NULL,
    FROM_SEGMENT1_CODE              VARCHAR2(120)     NOT NULL,
    FROM_SEGMENT1_CONDITION_CODE    VARCHAR2(120) ,
    FROM_SEGMENT1_VALUE_LOW         VARCHAR2(100)     NOT NULL,
    FROM_SEGMENT1_VALUE_HIGH        VARCHAR2(100) ,
    FROM_SEGMENT1_TREE_CODE         VARCHAR2(120) ,
    FROM_SEGMENT1_TREE_VERSION      VARCHAR2(128) ,
    FROM_SEGMENT2_CODE              VARCHAR2(120) ,
    FROM_SEGMENT2_CONDITION_CODE    VARCHAR2(120) ,
    FROM_SEGMENT2_VALUE_LOW         VARCHAR2(100) ,
    FROM_SEGMENT2_VALUE_HIGH        VARCHAR2(100) ,
    IMPORT_REQUEST_ID               NUMBER(18, 0) ,
    ERROR_MESSAGE                   VARCHAR2(4000),
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    STATUS_CODE                     VARCHAR2(120) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    COA_MAPPING_NAME                VARCHAR2(132)     NOT NULL,
    TO_SEGMENT_CODE                 VARCHAR2(120)     NOT NULL,
    TO_SEGMENT_VALUE                VARCHAR2(100)     NOT NULL,
    FROM_SEGMENT1_CODE              VARCHAR2(120)     NOT NULL,
    FROM_SEGMENT1_VALUE_LOW         VARCHAR2(100)     NOT NULL,
    FROM_SEGMENT1_VALUE_HIGH        VARCHAR2(100) ,
    FROM_SEGMENT2_CODE              VARCHAR2(120) ,
    FROM_SEGMENT2_VALUE_LOW         VARCHAR2(100) ,
    FROM_SEGMENT2_VALUE_HIGH        VARCHAR2(100) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    IMPORT_ACTION_CODE              VARCHAR2(120) ,
    FROM_SEGMENT1_CONDITION_CODE    VARCHAR2(120) ,
    FROM_SEGMENT1_TREE_CODE         VARCHAR2(120) ,
    FROM_SEGMENT1_TREE_VERSION      VARCHAR2(128) ,
    FROM_SEGMENT2_CONDITION_CODE    VARCHAR2(120) ,
    IMPORT_REQUEST_ID               NUMBER(18, 0) ,
    ERROR_MESSAGE                   VARCHAR2(4000)
);
